
<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net6.0</TargetFramework>
    <Description>SDMX RI Mapping Assistant API - Tools for Initializing and Uprading a mapping store database.</Description>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
	<EnableNETAnalyzers>true</EnableNETAnalyzers>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="CommandLineParser" />
    <PackageReference Include="MySql.Data" />
    <PackageReference Include="MySqlConnector" />
    <PackageReference Include="Oracle.ManagedDataAccess.Core" />
    <PackageReference Include="System.Data.SqlClient" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Estat.Sri.Mapping.Api\Estat.Sri.Mapping.Api.csproj" />
    <ProjectReference Include="..\Estat.Sri.Mapping.MappingStore\Estat.Sri.Mapping.MappingStore.csproj" />
    <ProjectReference Include="..\Estat.Sri.Plugin.Mysql\Estat.Sri.Plugin.Mysql.csproj" />
    <ProjectReference Include="..\Estat.Sri.Plugin.Oracle\Estat.Sri.Plugin.Oracle.csproj" />
    <ProjectReference Include="..\Estat.Sri.Plugin.SqlServer\Estat.Sri.Plugin.SqlServer.csproj" />
    <ProjectReference Include="..\MappingStore\Estat.Sri.Sdmx.MappingStore.Retrieve.csproj" />
  </ItemGroup>
  <ItemGroup>
    <!-- Setting this to false seems to break connections to SQL Server in some cases -->
    <RuntimeHostConfigurationOption Include="System.Globalization.Invariant" Value="false" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Properties\" />
  </ItemGroup>
</Project>
